package com.emr.dao.recordType;

import com.emr.entity.recordType.Emr_Type;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_TypeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Type record);

    int insertSelective(Emr_Type record);

    Emr_Type selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Type record);

    int updateByPrimaryKey(Emr_Type record);

    /**
     * 根据创建用户查询默认类别对象
     * */
    Emr_Type selectFlagExist(@Param("creater") String creater);
    /**
     * 根据创建用户查询类别集合,isEffective是否需要查询是否有效，否则传入null,是则非null
     * */
    List<Emr_Type> selectAllByCreater(@Param("creater") String creater, @Param("isEffective") Integer isEffective);

    /**
     * 验证该用户创建的类别名称是否存在
     * */
    Emr_Type checkTypeNameByCreater(@Param("creater") String creater,@Param("typeName") String typeName);

    /**
     * 验证该用户创建的类别标识是否存在
     * */
    Emr_Type checkTypeFlagByCreater(@Param("creater") String creater,@Param("typeFlag") String typeFlag);
}